## db_state

### Use

You display the operational state of the database instance.

See also:

Glossary, Operational State

### Prerequisites

You have the DBInfoRead server authorization.

### Syntax

db_state [-v]

-v | The fill level of the database instance log and data area is displayed.

### Reply

OK

<operational_state>

Log Full = <value>

Database Full = <value>

Values for the Reply Fields

Field | Description

<operational_state>

Operational state of the database instance. Possible values are, among others:

ONLINE: The database instance is ready.

ADMIN: The database instance is down. Only special administrative work can be done.

OFFLINE: The database instance is not ready.

STOPPED INCORRECTLY: Only with a UNIX operating system:
the database stopped after an error.

UNKNOWN: The system cannot determine the operational state.

Log Full = <value> | Fill level of the log area. Possible values are: YES: The log area is full. NO: The log area is not full.
Database Full = <value> | Fill level of the data area. Possible values are: YES: The data area is full. NO: The data area is not full.